/*****************************************************\
*ϹҵѧFreescale MCU&DSPʵ
*  sdhal.h
*C  P  U STM32VBT6
*ԻIAR4.22 
*    ߣ 
*    : SD
*    ڣ2008912
\*****************************************************/


#ifndef __SDHAL_H__
#define __SDHAL_H__

#include "sdconfig.h"

/* ⿨Ƿȫ  check weather card is insert entirely */
extern INT8U SD_ChkCard(void);

/* ⿨Ƿд  check weather card is write protect */
extern INT8U SD_ChkCardWP(void);

/* ʼSDӲʼ initialize the hardware that access sd card */
extern void SD_HardWareInit(void);

/* SPIʱС400kHZ set the clock of SPI less than 400kHZ */
extern void SPI_Clk400k(void);

/* SPIclockֵ set the clock of SPI to maximum */
extern void SPI_ClkToMax(void);

/* ͨSPIӿڷһֽ send a byte by SPI interface */
extern void SPI_SendByte(INT8U byte);

/* SPIӿڽһֽ receive a byte from SPI interface */
extern INT8U SPI_RecByte(void);

/* ƬѡSPIӻ select the SPI slave */
extern void SPI_CS_Assert(void);

/* ƬѡSPIӻ not select the SPI slave */
extern void SPI_CS_Deassert(void);

#endif

